class AddSchoolAppliesController < ApplicationController
  before_action :require_login

  def create
    school = CreateAddSchoolApplyService.call(current_user, create_params)
    render_ok(id: school.id)
  rescue CreateAddSchoolApplyService::Error => ex
    render_error(ex.message)
  end

  private

  def create_params
    params.permit(:name, :province, :city, :address, :remarks)
  end
end